Delete a connection
Permanently delete a connection by its ID.
DELETE
/connections/{id}
Permanently delete a connection by its ID.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Connection deleted
application/jsonsuccess
boolean
REQUIRED
401
Unauthorized
404
Connection not found
curl -X DELETE 'https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
method: 'DELETE',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.delete('https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
result, _ := io.ReadAll(resp.Body)
fmt.Println(string(result))
}
200
Response
{
"success": true
}
DELETE
/connections/{id}